apiVersion: v1
kind: Service
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{},"labels":{"app":"participation-service","app.kubernetes.io/managed-by":"kustomize","app.kubernetes.io/part-of":"kt-event-marketing","environment":"dev"},"name":"participation-service","namespace":"kt-event-marketing"},"spec":{"ports":[{"name":"http","port":80,"protocol":"TCP","targetPort":8084}],"selector":{"app":"participation-service","app.kubernetes.io/managed-by":"kustomize","app.kubernetes.io/part-of":"kt-event-marketing","environment":"dev"},"type":"ClusterIP"}}
  creationTimestamp: "2025-10-28T08:59:06Z"
  labels:
    app: participation-service
    app.kubernetes.io/managed-by: kustomize
    app.kubernetes.io/part-of: kt-event-marketing
    environment: dev
  name: participation-service
  namespace: kt-event-marketing
  resourceVersion: "125107611"
  uid: da5b7f82-37d3-41bd-ad87-e2864c8bcd18
spec:
  clusterIP: 10.0.130.146
  clusterIPs:
  - 10.0.130.146
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 8084
  selector:
    app: participation-service
    app.kubernetes.io/managed-by: kustomize
    app.kubernetes.io/part-of: kt-event-marketing
    environment: dev
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
